import 'package:flutter/material.dart';

class AnimProv extends ChangeNotifier {
  double _width = 150;
  double get width => _width;
  set width(double value) {
    _width = value;
    notifyListeners();
  }

  double _height = 100;
  double get height => _height;
  set height(double value) {
    _height = value;
    notifyListeners();
  }

  double _alignX = 0;
  double get alignY => _alignY;
  set alignX(double value) {
    _alignX = value;
    notifyListeners();
  }

  double _alignY = 0;
  double get alignX => _alignX;
  set alignY(double value) {
    _alignY = value;
    notifyListeners();
  }

  String _picAsset = "";
  String get picAsset => _picAsset;
  set picAsset(String value) {
    _picAsset = value;
    notifyListeners();
  }

  String _foneScreen;
  String get foneScreen => _foneScreen;
  set foneScreen(String value) {
    _foneScreen = value;
    notifyListeners();
  }

  String _message = "";
  String get message => _message;
  set message(String value) {
    _message = value;
    notifyListeners();
  }

  double _textAlignment = 0;
  double get textAlignment => _textAlignment;
  set textAlignment(double value) {
    _textAlignment = value;
    notifyListeners();
  }
}
